﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using FarPoint.Excel;

namespace Spread_Win_Excel
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnOpenExcel_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            string s;
            ofd.Filter = "Excel 文件 (*.xls)|*.xls";
            ofd.RestoreDirectory = true;

            if (ofd.ShowDialog() == DialogResult.OK)
            {
                s = ofd.FileName;
                fpSpread1.OpenExcel(s, ExcelOpenFlags.TruncateEmptyRowsAndColumns);
            }
        }

        private void btnSaveExcel_Click(object sender, EventArgs e)
        {
            this.fpSpread1.SaveExcel("test.xlsx", ExcelSaveFlags.UseOOXMLFormat);
        }
    }
}
